Add new columns to table schema
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/add_columns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_columns": [
{
"name": "<string>",
"expression": "<string>",
"virtual_column": {
"input_columns": [
"<string>"
],
"outputs": [
{
"column": "<string>",
"struct_field": "<string>",
"data_type": {},
"nullable": true,
"metadata": {}
}
],
"image": "<string>",
"udf": "<string>",
"udf_name": "<string>",
"udf_version": "<string>",
"udf_backend": "<string>",
"auto_backfill": true,
"manifest": "<string>",
"manifest_checksum": "<string>",
"field_metadata": {}
}
}
],
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"id": [
"<string>"
]
}
'{
"version": 1
}Table
Add new columns to table schema
Add new columns to table id using SQL expressions or default values.
POST
/
v1
/
table
/
{id}
/
add_columns
Add new columns to table schema
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/add_columns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_columns": [
{
"name": "<string>",
"expression": "<string>",
"virtual_column": {
"input_columns": [
"<string>"
],
"outputs": [
{
"column": "<string>",
"struct_field": "<string>",
"data_type": {},
"nullable": true,
"metadata": {}
}
],
"image": "<string>",
"udf": "<string>",
"udf_name": "<string>",
"udf_version": "<string>",
"udf_backend": "<string>",
"auto_backfill": true,
"manifest": "<string>",
"manifest_checksum": "<string>",
"field_metadata": {}
}
}
],
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"id": [
"<string>"
]
}
'{
"version": 1
}Authorizations
OAuth2BearerAuthApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
application/json
Response
Add columns operation result
The commit version associated with the operation
Required range:
x >= 0Was this page helpful?
⌘I